/* Stylesheet for Heywood and Hawkeridge Village Hall */

p {
  color: black;
  font-family: Montserrat;
  font-size: 12pt;
}

body {
    background-color: LightYellow;
    font-family: Montserrat;
    font-size: 12pt;
    margin: 0;
}

h1 {
  color: black;
  margin: 10px;
  text-align: center;
  font-size: normal;
  font-family: "Noto Serif TC";
}

h2 {
  color: DarkOliveGreen;
  margin: 10px;
  text-align: center;
  font-size: 1em;
  font-family: "Noto Serif TC";
}

h3 {
  color: Snow;
  margin: 10px;
  text-align: center;
  font-size: 1em;
  font-family: "Noto Serif TC";
}

hr {
  border-color: Snow;
  border-style: solid;
  border-width: 2px;
  width: 100%;
}

/* default button */
button {
    background-color: transparent;
    color: DimGrey;
    font-family: Montserrat, sans-serif;
    font-size: 12pt;
    padding: 5pt;
    border: none;
    border-radius: 5pt;
    margin: 2px 5px;
    transition: background-color 1s;
}

button:hover {
    background-color: DarkOliveGreen;
    color: Snow;
}

.textsave {
  color: IndianRed;
  /* visibility: hidden; */
  display: none;
}

.textsave:hover {
  background-color: IndianRed;
}

.iconhide {
  display: none;
}

.inputhide {
  visibility: hidden;
}

.buttonhide {
  visibility: hidden;
  color: DarkOliveGreen;
  background-color: Snow;
  cursor: pointer;
}

a {
  color: DarkOliveGreen;
  font-family: Montserrat;
  font-size: 12pt;
}

a:hover {
  font-weight: bold;
}

a.light {
  color: Snow;
  font-family: Montserrat;
  font-size: 12pt;
}

.user {
  color: DarkOliveGreen;
}

.user:hover {
  background-color: DarkOliveGreen;
  transition: background-color 1s;
}

.alternatebutton {
  color: DarkOliveGreen;
  background-color: Snow;
  cursor: pointer;
}

.alternatebutton:hover {
  color: Snow;
  background-color: DarkOliveGreen;
}

.admin {
  color: IndianRed;
}

.admin:hover {
  background-color: IndianRed;
}

.centre {
    border-style: none;
    /* margin-left: auto;
    margin-right: auto; */
    width: 100%;
    padding: 2px;
    text-align: center;
}

.signinform {
  background-color: DarkOliveGreen;
  color: Snow;
  border: none;
  border-radius: 10px;
  padding: 10px;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  margin-top: 5px;
  margin-bottom: 5px;
  width: 50%;
}

.resetform {
  display: none;
  background-color: DarkOliveGreen;
  color: Snow;
  border: none;
  border-radius: 10px;
  padding: 10px;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  margin-top: 5px;
  margin-bottom: 5px;
  width: 50%;
}

.picture {
  /* width: 100%; */
  max-height: 480px;
  margin-left: auto;
  margin-right: auto;
  opacity: 1;
  transition: opacity 2s;
}

.thumbnail {
  height: 50px;
  margin: 5px;
}

.icon, .link {
  cursor: pointer;
}

.map {
  margin-top: 20px;
  margin-bottom: 20px;
  border: none;
  /* border-color: DarkOliveGreen;
  border-width: thin;
  border-style: solid; */
  width: 75%;
  /* padding: 12px; */
}

.container {
  display: grid;
  grid-template-columns: auto auto auto;
  background-color: Snow;
  padding: 5px;
  gap: 5px;
  width: 75%;
  margin-left: auto;
  margin-right: auto;
}

.container4col {
  display: grid;
  grid-template-columns: auto auto auto auto;
  background-color: DarkOliveGreen;
  color: Snow;
  padding: 5px;
  gap: 5px;
  width: 75%;
  margin-left: auto;
  margin-right: auto;
  border: none;
  border-radius: 10px;
}

.containercalendar { /* containers for a calendar, calendar row, and calendaritem */
  display: grid;
  grid-template-columns: 20% 80%;
  grid-auto-rows: auto;
  background-color: transparent;
  color: DarKOliveGreen;
  padding: 5px;
  gap: 5px;
  width: 75%;
  height: 90%;
  margin-left: auto;
  margin-right: auto;
  border-style: solid;
  border-color: DarkOliveGreen;
  border-width: 1px;
  border-radius: 10px;
  overflow: scroll;
}

.containermonthcalendar { /* seven columns for Mon-Tue-Wed-Thu-Fri-Sat-Sun */
  display: grid;
  grid-template-columns: auto auto auto auto auto auto auto;
  /* grid-auto-rows: auto; */
  background-color: transparent;
  color: DarKOliveGreen;
  padding: 5px;
  gap: 5px;
  width: 90%;
  /* height: 90%; */
  margin-left: auto;
  margin-right: auto;
  border-style: solid;
  border-color: DarkOliveGreen;
  border-width: 1px;
  /* border-radius: 10px; */
  overflow: scroll;
}

.containermonthcalendar div {
  text-align: center;
}

.calendardate { /* plan is to have each calendar item show as a solid block in the correct place to represent the booking time */
  /* display: block; */
  /* width: 90%; */
  /* margin-left: auto;
  margin-right: auto; */
  margin-top; 3px;
  background-color: Snow;
  border-style: solid;
  border-color: IndianRed;
  border-width: 1px;
  padding: 2px;
}

.calendarheader {
  margin-top; 3px;
  background-color: DimGrey;
  color: Snow;
  border-style: solid;
  border-color: Snow;
  border-width: 1px;
  padding: 2px;
}

.calendarrow {
  background-color: Snow;
  border-style: solid;
  border-color: IndianRed;
  border-width: 1px;
  padding: 2px;
}

.calendaritem {
  display: inline-block;
  /* height: 20px; */
  color: Snow;
  font-size: 14px;
  background-color: IndianRed;
  padding: 2px;
  margin: 2px;
  position: relative;
  left: 40px;
  width: 80px;
  overflow-x: inherit;
  cursor: pointer;
}


.container3col {
  display: grid;
  grid-template-columns: auto auto auto;
  background-color: transparent;
  padding: 5px;
  gap: 5px;
  width: 75%;
  margin-left: auto;
  margin-right: auto;
}


.container2col {
  display: grid;
  grid-template-columns: auto auto;
  background-color: transparent;
  padding: 5px;
  gap: 5px;
  width: 75%;
  margin-left: auto;
  margin-right: auto;
  text-align: left;
}

.container1col {
  background-color: transparent;
  padding: 5px;
  width: 75%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  text-align: left;
  border-radius: 10px;
}

/* grid items */
.container div, .container2col div, .container4col div {
  background-color: transparent;
  padding: 5px;
  font-size: inherit;
  text-align: left;
}

.container1col div {
  background-color: IndianRed;
  color: Snow;
  text-align: center;
  padding: 5px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  border-radius: 10px;
}

.container2col .lighter {
  background-color: DarkSeaGreen;
  
}

/* white text area for user to type*/
.container2col .contactquestion {
  background-color: Snow;
  color: DarkOliveGreen;
  border-radius: 5px;
  min-height: 4em;
  text-align: left;
  white-space: pre-wrap;
  line-height: 1.5em;
}

// for contact message list
.container4col div.contactmessage {
  background-color: green;
  border-bottom-width: 2px;
  border-bottom-color: Snow;
}

.row:after {
  content: "";
  display: table;
  clear: both;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.columnleft { /* 30% */
  float: left;
  margin-left: 0;
  margin-right: 0;
  margin-top: 10px;
  margin-bottom: 5px;
  width: 32%;
  height: 90%;
  overflow: scroll;
  padding: 15px 0px 0px 20px;
  /* padding-bottom: 35px; */
  border: none;
  /* border-width: 2px;
  border-style: solid;
  border-color: #000040;
  border-radius: 10px; */ 
  background-color: transparent;
}

.columnright { /* 60% */
  float: left;
  margin-left: 4px;
  margin-right: 4px;
  margin-top: 10px;
  margin-bottom: 5px;
  width: 60%;
  height: 90%;
  overflow: scroll;
  padding: 5px;
  /* padding-bottom: 35px; */
  border: none;
  /* border-width: 2px;
  border-style: solid;
  border-color: #000040;
  border-radius: 10px; */ 
  background-color: transparent;
}

.columnhalf { /* 50% */
  float: left;
  margin-left: 0;
  margin-right: 0;
  margin-top: 10px;
  margin-bottom: 5px;
  width: 48%;
  height: 90%;
  overflow: scroll;
  padding: 15px 0px 0px 20px;
  /* padding-bottom: 35px; */
  border: none;
  /* border-width: 2px;
  border-style: solid;
  border-color: #000040;
  border-radius: 10px; */ 
  background-color: transparent;
}

.columnrighthalf { /* 50%  probably unnecessary */
  float: left;
  margin-left: 4px;
  margin-right: 4px;
  margin-top: 10px;
  margin-bottom: 5px;
  width: 48%;
  height: 90%;
  overflow: scroll;
  padding: 5px;
  /* padding-bottom: 35px; */
  border: none;
  /* border-width: 2px;
  border-style: solid;
  border-color: #000040;
  border-radius: 10px; */ 
  background-color: transparent;
}


.pageinfo { /* for holding information on the page to be sent */
  display: none;
}

.parahead {
  font-family: "Noto Serif TC";
  font-size: 16pt;
  font-weight: bold;
  color: DarkOliveGreen;
  margin-bottom: 5px;
}

.paratext {
  font-size: 12pt;
  color: black;
  margin-bottom: 10px;
  white-space: pre-wrap;
}

.paraphoto {
  display: block;
  max-width: 75%;
}

span.problem {
  color: yellow;
  font-weight: bold;
}

/* ----------------------------------------- styling checkbox ---------------------------- */

/* Customize the label (the container) */
.labelcontainer {
  display: block;
  position: relative;
  top: 0;
  text-align: left;
  padding-left: 35px;
  margin-bottom: 5px;
  cursor: pointer;
  font-size: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.checkboxcontainer {
  max-width: 25%;
  display: inline-block;
  /* margin-left: auto;
  margin-right: auto; */
}

/* Hide the browser's default checkbox inside al element where class is .container */
.labelcontainer input {
  position: absolute;
  /* position: static; */
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkboxCustom {
  position: absolute;
  top: -2;
  left: 0;
  height: 16px;
  width: 16px;
  background-color: Snow;
  border-radius: 3px;
}

/* On mouse-over, add a grey background color */
.labelcontainer:hover input ~ .checkboxCustom {
  background-color: DarkSeaGreen;
}

/* When the checkbox is checked, add a blue background */
.labelcontainer input:checked ~ .checkboxCustom {
  background-color: DarkSeaGreen;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkboxCustom:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.labelcontainer input:checked ~ .checkboxCustom:after {
  display: block;
}

/* Style the checkmark/indicator */
.labelcontainer .checkboxCustom:after {
  left: 5px;
  top: 2px;
  width: 4px;
  height: 8px;
  border: solid white;
  border-width: 0 2px 2px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/* -----------------------------   end of custom checkboxes    ------------------------------------------ */
/* ----------------------------------------- styling select ---------------------------- */
select {
  /* box-shadow: 4px 4px 4px #add8e6; */
  background-color: DarkSeaGreen;
  color: Snow;
  
  -webkit-appearance:inherit;
  -moz-appearance: inherit;
  
  font-family: "Montserrat", sans-serif;
  font-size: 12pt;
  padding: 0.3em 3em 0.3em 0.3em;
  border: 0;
  margin: 5px;
  
  text-align: center;
  max-width: 400px;
/*  border-style: solid;
  border-width: 1px;
  border-color:#00008b; */
}

.custom-select {
  position: relative;
  text-align: left;
  display: inline-block;
}

.custom-arrow {
  position: absolute;
  top: 0;
  right: 0;
  display: block;
  background: transparent;
  height: 100%;
  width: 3rem;
  pointer-events: none;
}

.custom-arrow::before,
.custom-arrow:after {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  left: 50%;
  top: 50%;
  transform: translate(-10%,-50%);
}

.custom-arrow::before {
  border-left: 0.4em solid transparent;
  border-right: 0.4em solid transparent;
  border-top: 0.8em solid LightGoldenRodYellow;
}
/* --------------------------------------- end of styles for custom select -------------------------*/


label {
  color: Snow;
  font-family: Montserrat;
  font-size: 12pt;
}


label.darker {
  color: DarkOliveGreen;
}


input[type=text], input[type=password], input[type=email], input[type=tel], input[type=date], input[type=time] {
  border-style: solid;
  border-width: 1px;
  border-color: #add8e6;
  border-radius: 5px;
  padding: 5px;
  font-size: 12pt;
  font-family: Montserrat;
  min-width: 250px;
}

input[type=submit] {
  background-color: DarkOliveGreen;
  border: solid;
  border-width: 2px;
  border-color: White;
  color: Snow;
  font-size:16pt;
  padding: 5pt;
  border-radius: 15pt 15pt 15pt 15pt;
  margin: 5px;
  cursor: pointer;
}

input[type=submit].smallsubmit {
  font-size: 10pt;
  border: none;
  border-radius: 3px;
  margin: 0;
  padding: 2px;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: Snow;
  color: DarkOliveGreen;
}


/* for the slideshow */
.frame {
  max-width: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
}

.slideshow {
  position: relative;
  top: 0px;
  left: 0px;
  height: 500px;
}

/* =============================== styles for photo upload ====================== */
section {
	width: 600px;
	height: 450px;
	margin: 10px auto;
	background: DarkSeaGreen;
}


form.droparea {
	width: 96%;
	margin: auto;
	padding: 20px;
}

form.droparea > p {
	font-family: sans-serif;
	padding: 10px 5px;
	font-size: 25px;
	margin: 20px auto;
	
}

form.droparea div {
	height: 60px;
	margin: 20px auto;
	padding: 5px;
}

form.droparea .pr {
	height: 110px;
	display: none
}

form.droparea div label {
	display: block;
	background: DarkOliveGreen;
	padding: 12px;
	border-radius: 4px;
	color: white;
	font-size: 12pt;
	width: 90%;
	line-height: 25px;
	border: 2px solid Snow;
	position: relative;
}

form.droparea div label:before {
	position: absolute;
	content: "Browse";
	right: -2px;
	top: -2px;
	width: 100px;
	height: 107%;
	line-height: 50px;
	background: DarkGrey;
	text-align: center;
	border-radius: 0 4px 4px 0;
	cursor: pointer;
}


strong {
	width: 100%;
	height: 50%;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

strong h4 {
	background: #96cdeb;
	padding: 8px 10px;
	color: white;
	border-radius: 5px;
}

progress {
	width: 100%;
	height: 30px;
	-webkit-appearance: none;
	border-radius: 25px;
}

progress::-webkit-progress-bar {
	width: 100%;
	height: 20px;
	background: LightGrey;
	border-radius: 25px;
}

progress::-webkit-progress-value {
	background: #00aced;
	border-radius: 25px;
}

span.progress-indicator {
	color: #183643;
}

